> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# App item associations resources

## App item

An app item represents an content object owned by an application. It can group files and folders together from different paths. That set can be shared through a collaboration.

<Accordion title="Attributes and example">
  | Property           | Type           | Required | Description                                                         |
  | ------------------ | -------------- | -------- | ------------------------------------------------------------------- |
  | `id`               | `string`       | Yes      | The unique identifier for this app item.                            |
  | `type`             | `enum<string>` | Yes      | The value will always be `app_item`. Available options: `app_item`. |
  | `application_type` | `string`       | Yes      | The type of the app that owns this app item.                        |

  ```json Example theme={null}
  {
    "id": "12345678",
    "type": "app_item",
    "application_type": "hubs"
  }
  ```
</Accordion>

## App item association

An app item association represents an association between a file or folder and an app item. Associations between a folder and an app item cascade down to all descendants of the folder.

<Accordion title="Attributes and example">
  | Property   | Type                       | Required | Description                                                                                 |
  | ---------- | -------------------------- | -------- | ------------------------------------------------------------------------------------------- |
  | `id`       | `string`                   | Yes      | The unique identifier for this app item association.                                        |
  | `type`     | `enum<string>`             | Yes      | The value will always be `app_item_association`. Available options: `app_item_association`. |
  | `app_item` | [App item](#app-item)      | Yes      | The app item which is associated with the file or folder.                                   |
  | `item`     | `App item associated item` | Yes      |                                                                                             |

  ```json Example theme={null}
  {
    "id": "12345678",
    "type": "app_item_association",
    "app_item": {
      "id": "12345678",
      "type": "app_item",
      "application_type": "hubs"
    },
    "item": {
      "id": "12345",
      "etag": "1",
      "type": "file"
    }
  }
  ```
</Accordion>

## App item associations

A list of app item associations.

<Accordion title="Attributes and example">
  | Property      | Type                                                   | Required | Description                                                                                                                                                                            |
  | ------------- | ------------------------------------------------------ | -------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
  | `limit`       | `integer`                                              | No       | The limit that was used for these entries. This will be the same as the `limit` query parameter unless that value exceeded the maximum value allowed. The maximum value varies by API. |
  | `next_marker` | `string`                                               | No       | The marker for the start of the next page of results. Can be `null`.                                                                                                                   |
  | `prev_marker` | `string`                                               | No       | The marker for the start of the previous page of results. Can be `null`.                                                                                                               |
  | `entries`     | array of [App item association](#app-item-association) | No       |                                                                                                                                                                                        |

  ```json Example theme={null}
  {
    "limit": 1000,
    "next_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii",
    "prev_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVih",
    "entries": [
      {
        "id": "12345678",
        "type": "app_item_association",
        "app_item": {
          "id": "12345678",
          "type": "app_item",
          "application_type": "hubs"
        },
        "item": {
          "id": "12345",
          "etag": "1",
          "type": "file"
        }
      }
    ]
  }
  ```
</Accordion>
